<?php

namespace MyApp\Controller;

use MyApp\Core\Controller;
use MyApp\View\GroupsView as View;
use MyApp\Service\GroupsService;

class GroupsController extends Controller
{
    /**
     * @RouteRegExp = "|^/groups$|"
     */
    public function index()
    {
        $this->htmlResponse((new View())->index((new GroupsService())->getTableData()));
    }

    /**
     * @RouteRegExp = "|^/groups/add$|"
     */
    public function add()
    {

    }

    /**
     * @RouteRegExp = "|^/groups/edit/(?<id>\d+)$|"
     */
    public function edit($id)
    {
        $group_service = new GroupsService();

        $model = $group_service->getGroup($id);

        if ($model) {
            $this->htmlResponse((new View())->edit($group_service->getGroup($id),
                $group_service->getTableData()));
        } else {
            $this->redirect('/groups');
        }
    }
}
