<?php

namespace MyApp\Model;

use MyApp\Core\Model;

/**
 * Class ServersModel.
 *
 * @TableName = "servers"
 *
 * @package MyApp\Model
 */
class ServersModel extends Model
{
    /**
     * @ColumnName = "id"
     * @ColumnOption = "id"
     * @ColumnType = "int unsigned auto_increment primary key"
     *
     * @var int
     */
    private $id;
    /**
     * @ColumnName = "name"
     * @ColumnType = "varchar(255) null"
     *
     * @var string
     */
    private $name;
    /**
     * @ColumnName = "ip"
     * @ColumnType = "int unsigned null"
     *
     * @var int
     */
    private $ip;
    /**
     * @ColumnName = "group_id"
     * @ColumnType = "int unsigned null, constraint servers_groups_id_fk foreign key (group_id) references `groups` (id) on delete cascade"
     *
     * @var int
     */
    private $group;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     *
     * @return ServersModel
     */
    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    /**
     * @return string
     */
    public function getIp(): string
    {
        return long2ip($this->ip);
    }

    /**
     * @param string $ip
     *
     * @return ServersModel
     */
    public function setIp(string $ip): self
    {
        $this->ip = ip2long($ip);

        return $this;
    }

    /**
     * @return int
     */
    public function getGroup(): int
    {
        return $this->group;
    }

    /**
     * @param int $group
     *
     * @return ServersModel
     */
    public function setGroup(int $group): self
    {
        $this->group = $group;

        return $this;
    }
}
