<?php

namespace MyApp\Model;

use MyApp\Core\Model;
use DateTime;

/**
 * Class LogsModel.
 *
 * @TableName = "logs"
 */
class TallyLogsModel extends Model
{
    /**
     * @ColumnName = "id"
     * @ColumnOption = "id"
     * @ColumnType = "int unsigned auto_increment primary key"
     *
     * @var int
     */
    private $id;
    /**
     * @ColumnName = "time"
     * @ColumnType = "timestamp null"
     *
     * @var int
     */
    private $time;
    /**
     * @ColumnName = "transmitted"
     * @ColumnType = "int null"
     *
     * @var int
     */
    private $transmitted;
    /**
     * @ColumnName = "received"
     * @ColumnType = "int null"
     *
     * @var int
     */
    private $received;
    /**
     * @ColumnName = "lost"
     * @ColumnType = "int null"
     *
     * @var int
     */
    private $lost;
    /**
     * @ColumnName = "server_id"
     * @ColumnType = "int unsigned null, constraint logs_servers_id_fk foreign key (server_id) references `servers` (id) on delete cascade"
     *
     * @var int
     */
    private $server;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return int
     */
    public function getTime(): int
    {
        return $this->time;
    }

    /**
     * @param DateTime $time
     *
     * @return TallyLogsModel
     */
    public function setTime(DateTime $time): self
    {
        $this->time = $time->getTimestamp();

        return $this;
    }

    /**
     * @return int
     */
    public function getTransmitted(): int
    {
        return $this->transmitted;
    }

    /**
     * @param int $transmitted
     *
     * @return TallyLogsModel
     */
    public function setTransmitted(int $transmitted): self
    {
        $this->transmitted = $transmitted;

        return $this;
    }

    /**
     * @return int
     */
    public function getReceived(): int
    {
        return $this->received;
    }

    /**
     * @param int $received
     *
     * @return TallyLogsModel
     */
    public function setReceived(int $received): self
    {
        $this->received = $received;

        return $this;
    }

    /**
     * @return int
     */
    public function getLost(): int
    {
        return $this->lost;
    }

    /**
     * @param int $lost
     *
     * @return TallyLogsModel
     */
    public function setLost(int $lost): self
    {
        $this->lost = $lost;

        return $this;
    }
}
