<?php
require __DIR__ . '/../shared/head.php';

/** @var \MyApp\Model\GroupsModel $model */
$model = $this->model;

function getTree($table, $parent_id = null, $level = 1)
{
    $out = [];
    foreach ($table as $item) {
        /** @var \MyApp\Model\GroupsModel $item */
        if (
            $item->getParent() === $parent_id) {
            $item->{"select-level"} = str_repeat("-", $level);
            $out[]                  = $item;
            $out                    = array_merge($out,
                getTree($table, $item->getId(), $level + 1));
        }
    }

    return $out;
}

?>
  <br>

  <form action="" method="post">
    <input type="hidden" value="<?= $model->getId() ?>" name="id">
    <div>
      <label for="parent">Parent:</label>
      <select name="parent" id="parent">
        <option value="null"
                <?php if (is_null($model->getParent())): ?>selected<?php endif; ?>>
          Root
        </option>
          <?php foreach (getTree($this->table) as $item): ?>
            <option value="<?= $item->getId() ?>"
                    <?php if ($item->getId() === $model->getParent()): ?>selected<?php endif; ?>>
                <?= $item->{"select-level"} ?><?= $item->getName() ?>
            </option>
          <?php endforeach; ?>
      </select>
    </div>
    <div>
      <label for="name">Name:</label>
      <input type="text" value="<?= $model->getName() ?>" name="name" id="name">
    </div>
    <button type="submit">Submit</button>
  </form>
<?php
require __DIR__ . '/../shared/footer.php';
